## org.red5.compatibility.flex.messaging.messages
Class CommandMessage

    java.lang.Object
      org.red5.compatibility.flex.messaging.messages.AbstractMessage
          org.red5.compatibility.flex.messaging.messages.AsyncMessage
              org.red5.compatibility.flex.messaging.messages.CommandMessage

All Implemented Interfaces:
  Serializable, Message

Direct Known Subclasses:
  AuthenticationMessage, CommandMessageExt

    public class CommandMessage

extends AsyncMessage

Command message as sent by the `mx:RemoteObject` tag.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de), Paul Gregoire (mondain@gmail.com)
See Also:
  osflash documentation (external), Adobe Livedocs (external), Serialized Form

Field Summary
`String` `messageRefType`
`int` `operation` Command id to execute.
`protected static byte` `OPERATION_FLAG`

Fields inherited from class org.red5.compatibility.flex.messaging.messages.AsyncMessage
`CORRELATION_ID_BYTES_FLAG, CORRELATION_ID_FLAG, correlationId, correlationIdBytes`

Fields inherited from class org.red5.compatibility.flex.messaging.messages.AbstractMessage
`body, clientId, clientIdBytes, destination, headers, messageId, messageIdBytes, timestamp, timeToLive`

Fields inherited from interface org.red5.compatibility.flex.messaging.messages.Message
`DESTINATION_CLIENT_ID_HEADER, ENDPOINT_HEADER, FLEX_CLIENT_ID_HEADER, MESSAGING_VERSION, NEEDS_CONFIG_HEADER, POLL_WAIT_HEADER, PRESERVE_DURABLE_HEADER, REMOTE_CREDENTIALS_HEADER, REMOVE_SUBSCRIPTIONS, SELECTOR_HEADER, SUBSCRIPTION_INVALIDATED_HEADER, SUBTOPIC_SEPARATOR, SYNC_HEADER`

Constructor Summary
`CommandMessage()`

Method Summary
`protected void` `addParameters(StringBuilder result)` Add message properties to string.
`int` `getOperation()`
`void` `readExternal(IDataInput in)`
`void` `setOperation(int operation)`

Methods inherited from class org.red5.compatibility.flex.messaging.messages.AsyncMessage
`getCorrelationId, setCorrelationId, writeExternal`

Methods inherited from class org.red5.compatibility.flex.messaging.messages.AbstractMessage
`getBody, getClientId, getDestination, getHeader, getHeaders, getMessageId, getTimestamp, getTimeToLive, headerExists, readFlags, setBody, setClientId, setDestination, setHeader, setHeaders, setMessageId, setTimestamp, setTimeToLive, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OPERATION_FLAG

    protected static byte OPERATION_FLAG

### messageRefType

    public String messageRefType

### operation

    public int operation

  Command id to execute.

Constructor Detail

### CommandMessage

    public CommandMessage()

Method Detail

### addParameters

    protected void addParameters(StringBuilder result)

  Add message properties to string.

  Overrides:
    `addParameters` in class `AsyncMessage`
  Parameters:
    `result` - `StringBuilder` to add properties to

### getOperation

    public int getOperation()

### setOperation

    public void setOperation(int operation)

### readExternal

    public void readExternal(IDataInput in)

  Overrides:
    `readExternal` in class `AsyncMessage`

Copyright © 2006-2010 The Red5 Project